<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="rpt_meg" language="groovy" pageWidth="2000" pageHeight="800" orientation="Landscape" whenNoDataType="AllSectionsNoDetail" columnWidth="1990" leftMargin="5" rightMargin="5" topMargin="20" bottomMargin="20" isIgnorePagination="true">
	<property name="net.sf.jasperreports.export.xls.detect.cell.type" value="true"/>
	<property name="ireport.x" value="2178"/>
	<property name="ireport.y" value="146"/>
	<property name="ireport.zoom" value="1.4641000000000044"/>
	<subDataset name="f01">
		<queryString>
			<![CDATA[select to_char(sysdate,'dd/mm/yyyy hh24:mi:ss') ngay  from dual]]>
		</queryString>
		<field name="NGAY1" class="java.lang.String"/>
		<field name="THANG1" class="java.lang.String"/>
		<field name="NAM1" class="java.lang.String"/>
	</subDataset>
	<parameter name="NEO_SQL_META_MAP" class="java.lang.Object"/>
	<parameter name="nguoi_th" class="java.lang.String"/>
	<parameter name="start_date" class="java.lang.String"/>
	<parameter name="end_date" class="java.lang.String"/>
	<queryString>
		<![CDATA[begin ?:= ADMIN_V2.PK_REPORT_MEG.bc_pttb_meg('{p0sys_userid}','{p0sys_userip}','{p0start_date}','{p0end_date}','{p0agent}') ;end;]]>
	</queryString>
	<field name="msisdn" class="java.lang.String"/>
	<field name="custname" class="java.lang.String"/>
	<field name="custaddress" class="java.lang.String"/>
	<field name="agent_code" class="java.lang.String"/>
	<field name="registype" class="java.lang.String"/>
	<field name="pkg_ext" class="java.lang.String"/>
	<field name="pkg_services" class="java.lang.String"/>
	<field name="sl" class="java.lang.Number"/>
	<field name="dateofissue" class="java.lang.String"/>
	<field name="sub_meg" class="java.lang.String"/>
	<field name="admintel" class="java.lang.String"/>
	<field name="phi_dk" class="java.lang.String"/>
	<field name="nguoi_dk" class="java.lang.String"/>
	<field name="donvi" class="java.lang.String"/>
	<field name="matinh" class="java.lang.String"/>
	<field name="c_dk_moi_tr16" class="java.lang.String"/>
	<field name="c_dk_moi_sau16" class="java.lang.String"/>
	<field name="c_huy" class="java.lang.String"/>
	<field name="c_mien_cuoc" class="java.lang.String"/>
	<field name="l_giahan" class="java.lang.String"/>
	<field name="l_dk_moi_tr16" class="java.lang.String"/>
	<field name="l_dk_moi_sau16" class="java.lang.String"/>
	<field name="l_mien_cuoc" class="java.lang.String"/>
	<field name="l_huy" class="java.lang.String"/>
	<field name="c_giahan" class="java.lang.String"/>
	<field name="tong_chinh" class="java.lang.String"/>
	<field name="tong_le" class="java.lang.String"/>
	<variable name="sum_agent" class="java.lang.Number" resetType="Group" resetGroup="rpt_group_agent" calculation="Sum">
		<variableExpression><![CDATA[$F{sl}]]></variableExpression>
	</variable>
	<group name="rpt_group_agent">
		<groupExpression><![CDATA[$F{agent_code}]]></groupExpression>
		<groupHeader>
			<band height="67">
				<staticText>
					<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="303" y="20" width="138" height="47" isPrintInFirstWholeBand="true" isPrintWhenDetailOverflows="true"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[Số lượng MEG chính đăng ký mới trước ngày 16]]></text>
				</staticText>
				<staticText>
					<reportElement stretchType="RelativeToBandHeight" mode="Opaque" x="1" y="20" width="45" height="47" isPrintWhenDetailOverflows="true"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[STT]]></text>
				</staticText>
				<staticText>
					<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="1207" y="20" width="134" height="47" isPrintInFirstWholeBand="true" isPrintWhenDetailOverflows="true"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[Số lượng MEG lẻ đăng kí mới sau ngày 16
]]></text>
				</staticText>
				<staticText>
					<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="1341" y="20" width="147" height="47" isPrintInFirstWholeBand="true" isPrintWhenDetailOverflows="true"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true" isItalic="false" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[Số lượng MEG lẻ hủy trong tháng]]></text>
				</staticText>
				<staticText>
					<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="46" y="20" width="89" height="47" isPrintInFirstWholeBand="true" isPrintWhenDetailOverflows="true"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[VTT]]></text>
				</staticText>
				<staticText>
					<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="135" y="20" width="168" height="47" isPrintInFirstWholeBand="true" isPrintWhenDetailOverflows="true"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[Số lượng MEG chính gia hạn]]></text>
				</staticText>
				<staticText>
					<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="593" y="20" width="139" height="47" isPrintInFirstWholeBand="true" isPrintWhenDetailOverflows="true"/>
					<box rightPadding="3">
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[Số lượng MEG chính hủy trong tháng]]></text>
				</staticText>
				<staticText>
					<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="441" y="20" width="152" height="47" isPrintInFirstWholeBand="true" forecolor="#000000" backcolor="#FFFFFF"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle" rotation="None" markup="none">
						<font fontName="Times New Roman" size="12" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Identity-H" isPdfEmbedded="false"/>
					</textElement>
					<text><![CDATA[Số lượng MEG chính đăng ký mới sau ngày 16]]></text>
				</staticText>
				<staticText>
					<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="732" y="20" width="132" height="47" isPrintInFirstWholeBand="true" forecolor="#000000" backcolor="#FFFFFF"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle" rotation="None" markup="none">
						<font fontName="Times New Roman" size="12" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Identity-H" isPdfEmbedded="false"/>
					</textElement>
					<text><![CDATA[Số lượng MEG chính miễn cước]]></text>
				</staticText>
				<staticText>
					<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="1101" y="20" width="106" height="47" isPrintInFirstWholeBand="true" forecolor="#000000" backcolor="#FFFFFF"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle" rotation="None" markup="none">
						<font fontName="Times New Roman" size="12" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Identity-H" isPdfEmbedded="false"/>
					</textElement>
					<text><![CDATA[Số lượng MEG lẻ đăng kí mới trước ngày 16
]]></text>
				</staticText>
				<staticText>
					<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="1488" y="20" width="93" height="47" isPrintInFirstWholeBand="true" isPrintWhenDetailOverflows="true"/>
					<box leftPadding="3" rightPadding="3">
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[Số lượng MEG lẻ miễn cước
]]></text>
				</staticText>
				<staticText>
					<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="969" y="20" width="132" height="47" isPrintInFirstWholeBand="true" forecolor="#000000" backcolor="#FFFFFF"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle" rotation="None" markup="none">
						<font fontName="Times New Roman" size="12" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Identity-H" isPdfEmbedded="false"/>
					</textElement>
					<text><![CDATA[Số lượng MEG lẻ gia hạn
]]></text>
				</staticText>
				<staticText>
					<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="864" y="20" width="105" height="47" isPrintInFirstWholeBand="true" forecolor="#000000" backcolor="#FFFFFF"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle" rotation="None" markup="none">
						<font fontName="Times New Roman" size="12" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Identity-H" isPdfEmbedded="false"/>
					</textElement>
					<text><![CDATA[Tổng số lượng MEG chín]]></text>
				</staticText>
				<staticText>
					<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="1581" y="20" width="105" height="47" isPrintInFirstWholeBand="true" forecolor="#000000" backcolor="#FFFFFF"/>
					<box>
						<pen lineWidth="0.5"/>
						<topPen lineWidth="0.5"/>
						<leftPen lineWidth="0.5"/>
						<bottomPen lineWidth="0.5"/>
						<rightPen lineWidth="0.5"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle" rotation="None" markup="none">
						<font fontName="Times New Roman" size="12" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Identity-H" isPdfEmbedded="false"/>
					</textElement>
					<text><![CDATA[Tổng số lượng MEG lẻ]]></text>
				</staticText>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="20"/>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="162" splitType="Stretch">
			<image>
				<reportElement x="21" y="10" width="114" height="42"/>
				<imageExpression><![CDATA["images\\vinaphone_logo.png"]]></imageExpression>
			</image>
			<staticText>
				<reportElement x="402" y="72" width="677" height="50"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="20" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Báo cáo PTTB Meg]]></text>
			</staticText>
			<staticText>
				<reportElement x="556" y="122" width="100" height="20"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Từ ngày:]]></text>
			</staticText>
			<staticText>
				<reportElement x="741" y="122" width="66" height="20"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[đến ngày:]]></text>
			</staticText>
			<textField>
				<reportElement x="656" y="122" width="85" height="20"/>
				<box leftPadding="3"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{start_date}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="807" y="122" width="116" height="20"/>
				<box leftPadding="3"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{end_date}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="556" y="142" width="367" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
			</textField>
			<staticText>
				<reportElement x="402" y="10" width="677" height="62"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="14" isBold="false" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[CỘNG HÒA XÃ HỘI CHỦ NGHĨA VIỆT NAM
Độc lập - Tự do - Hạnh phúc]]></text>
			</staticText>
			<textField isBlankWhenNull="true">
				<reportElement x="1176" y="10" width="257" height="28"/>
				<box topPadding="0" rightPadding="0"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA["Ngày báo cáo: "+((HashMap)$P{NEO_SQL_META_MAP}).get("f01ngay").toString()]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="20" splitType="Stretch">
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="303" y="0" width="138" height="20" isPrintInFirstWholeBand="true" isPrintWhenDetailOverflows="true"/>
				<box leftPadding="5" rightPadding="5">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{c_dk_moi_tr16}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="1207" y="0" width="134" height="20" isPrintInFirstWholeBand="true" isPrintWhenDetailOverflows="true"/>
				<box leftPadding="5" rightPadding="5">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{l_dk_moi_sau16}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="1341" y="0" width="147" height="20" isPrintInFirstWholeBand="true" isPrintWhenDetailOverflows="true"/>
				<box leftPadding="5" rightPadding="5">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{l_huy}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" mode="Opaque" x="1" y="0" width="45" height="20" isPrintWhenDetailOverflows="true"/>
				<box topPadding="3" leftPadding="0" bottomPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{REPORT_COUNT}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="46" y="0" width="89" height="20" isPrintInFirstWholeBand="true" isPrintWhenDetailOverflows="true"/>
				<box leftPadding="5" rightPadding="5">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{matinh}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="135" y="0" width="168" height="20" isPrintInFirstWholeBand="true" isPrintWhenDetailOverflows="true"/>
				<box leftPadding="5" rightPadding="5">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{c_giahan}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="593" y="0" width="139" height="20" isPrintInFirstWholeBand="true" isPrintWhenDetailOverflows="true"/>
				<box leftPadding="5" rightPadding="5">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{c_huy}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="441" y="0" width="152" height="20" isPrintInFirstWholeBand="true" isPrintWhenDetailOverflows="true"/>
				<box leftPadding="5" rightPadding="5">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{c_dk_moi_sau16}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="732" y="0" width="132" height="20" isPrintInFirstWholeBand="true" isPrintWhenDetailOverflows="true"/>
				<box leftPadding="5" rightPadding="5">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{c_mien_cuoc}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="969" y="0" width="132" height="20" isPrintInFirstWholeBand="true" isPrintWhenDetailOverflows="true"/>
				<box leftPadding="5" rightPadding="5">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{l_giahan}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="1101" y="0" width="106" height="20" isPrintInFirstWholeBand="true" isPrintWhenDetailOverflows="true"/>
				<box leftPadding="5" rightPadding="5">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{l_dk_moi_tr16}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="1488" y="0" width="93" height="20" isPrintInFirstWholeBand="true"/>
				<box leftPadding="5" rightPadding="5">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{l_mien_cuoc}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="864" y="0" width="105" height="20" isPrintInFirstWholeBand="true" isPrintWhenDetailOverflows="true"/>
				<box leftPadding="5" rightPadding="5">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{tong_chinh}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" mode="Opaque" x="1581" y="0" width="105" height="20" isPrintInFirstWholeBand="true"/>
				<box leftPadding="5" rightPadding="5">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{tong_le}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="244" splitType="Stretch">
			<textField isBlankWhenNull="true">
				<reportElement x="1176" y="0" width="314" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
			</textField>
			<textField>
				<reportElement x="1176" y="40" width="314" height="144"/>
				<box topPadding="10"/>
				<textElement textAlignment="Center" verticalAlignment="Top">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{nguoi_th}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="1176" y="20" width="314" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Người báo cáo]]></text>
			</staticText>
		</band>
	</summary>
</jasperReport>
